// Adauga white-space pt. browsere IE
 if(navigator.appName == "Microsoft Internet Explorer") {
   document.write("<style> .c_coms { white-space:pre; } </style>");
}

// Functia pentru afisare si ascundere elemnte din pagina
function OnOff(id1, id2) {
  // Preia elementele HTML dupa argumentele functiei
  document.getElementById(id1).style.display='block';
  document.getElementById(id2).style.display='none';
}

// Functia pt. calculare si afisare nr. caractere permise in textarea
function verifica(text) {
  var maxlength=600;

  // Verifca daca a fost depasit nr. maxim de caractere
  if (text.value.length>maxlength) {
    alert("Va rog adaugati maxim "+maxlength+" caractere!")
    return false
  }
  // Afiseaza nr. de caractere ramase
  else {
    document.getElementById("countdown").innerHTML = 'Caractere ramase <b>'+(maxlength-text.value.length)+'</b>';
    return true
  }
}


  // Verifica cu regex daca sirul scris are forma corecta URL (fara http://)
  // Daca e corect transmite la functia 'add_tag()', in caz contrar afiseaza alert
  if (url.match(/^www.([a-zA-z0-9_,+ -]+[.]+)/)) {
	add_tag('<a href="http://'+url+'" target="_blank">','</a>', zona);
  }
  else {
	alert('Formatul adresei scrise este incorect \n Adaugatati adresa URL fara "http://" \n De forma: www.domeniu_site.net/pagina')
  }
}

/*** Adaugare font B, I, U si URL in formular ***/
function add_tag(start, end, zona) {
  var txtarea = document.getElementById(zona);
  if (txtarea.selectionStart || txtarea.selectionStart == "0") {
	var startPos = txtarea.selectionStart;
	var endPos = txtarea.selectionEnd;
	txtarea.value = txtarea.value.substring(0, startPos) + start + txtarea.value.substring(startPos, endPos) + end + txtarea.value.substring(endPos, txtarea.value.length);

	// Aseaza cursorun intre formate in textarea
	txtarea.focus();
	txtarea.setSelectionRange((endPos+start.length),(endPos+start.length));
  }
}

/*** Adaugare smiles in formular ***/
function add_smile(smile, zona) {
  var tarea_com = document.getElementById(zona);
  tarea_com.value += smile;
  tarea_com.focus();
}


/*** Verificarea campurilor din formular "add_c: ***/
function validare(text) {
  var eroare = 0;		// variabila care va determina return TRUE sau FALSE
  // Variabilele cu textele din formular
  var numele = text.nume.value;
  var comentariu = text.coment.value;

  // Verificarea variabilelor
  // Daca 'if-ul' e TRUE, modifica valoarea variabilei 'eroare'
  if (numele.length < 2) {
	alert('Completati numele, minim 2 caractere');
	eroare = text.nume;
  }
  else if (numele.length > 42) {
	alert('Numele trebuie sa contina maxim 42 caractere!');
	eroare = text.nume;
  }
 if (mailul.length > 50) {
	alert('Adresa de e-mail trebuie sa contina maxim 50 caractere!');
	eroare = text.email;
  }
  else if (comentariu.length < 5) {
	alert('Adaugati comentariul, minim 5 caractere');
	eroare = text.coment;
  }
  else if (comentariu.length > 600) {
	alert('Comentariul trebuie sa contina maxim 600 caractere!');
	eroare = text.coment;
  }

  // Verifica variabila 'eroare'
  if (eroare==0) {
	return true;
  }
  else {
	eroare.focus();
	return false;
  }
}


/*** Verificarea formularului de modificare a administratorului ***/
function mod(text) {
  // Variabilele cu textele campurilor din formular
  var n_mod = text.mod_nume.value;
  var m_mod = text.mod_email.value;
  var c_mod = text.mod_coment.value;

  // Verificarea variabilelor
  if (n_mod.length < 2) {
	alert('Completati numele, minim 2 caractere');
	return false;	
  }
  else if (n_mod.length > 42) {
	alert('Numele trebuie sa contina maxim 42 caractere!');
	return false;	
  }
  else if (m_mod.length>1 && (m_mod.indexOf("@")==-1 || m_mod.indexOf(".")==-1 || m_mod.length<6)) {
	alert('Introduceti corect adresa de e-mail!');
	return false;
  }
  else if (m_mod.length > 50) {
	alert('Adresa de e-mail trebuie sa contina maxim 50 caractere!');
	return false;
  }
  else if (c_mod.length < 5) {
	alert('Adaugati comentariul, minim 5 caractere');
	return false;
  }
  else if (c_mod.length > 600) {
	alert('Comentariul trebuie sa contina maxim 550 caractere!');
	return false;
  }

  return true;
}
